classification
Title: Add tests for CLI of the calendar module
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: BreamoreBoy, berker.peksag, python-dev, r.david.murray, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-09-08 21:08 by serhiy.storchaka, last changed 2015-02-05 16:55 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_calendar_cli.patch serhiy.storchaka, 2013-09-08 21:08 review
test_calendar_cli_2.patch serhiy.storchaka, 2015-01-29 07:29 review
Messages (6)
msg197320 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-08 21:08
The proposed patch adds tests for command-line interface of the calendar module. It also makes calendar tests discoverable and makes some existing tests more strong.
msg228146 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-10-02 00:48
Just a gentle reminder guys.
msg234951 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-01-29 07:29
Updated test addresses Berker's comments.
msg235433 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-02-05 12:39
Thanks for your review Berker.
msg235436 - (view) Author: Roundup Robot (python-dev) Date: 2015-02-05 13:19
New changeset 28a9da0842aa by Serhiy Storchaka in branch '3.4':
Issue #18982: Add tests for CLI of the calendar module.
https://hg.python.org/cpython/rev/28a9da0842aa

New changeset e057da873673 by Serhiy Storchaka in branch 'default':
Issue #18982: Add tests for CLI of the calendar module.
https://hg.python.org/cpython/rev/e057da873673

New changeset 50a5c262b2e6 by Serhiy Storchaka in branch '2.7':
Issue #18982: Add tests for CLI of the calendar module.
https://hg.python.org/cpython/rev/50a5c262b2e6
msg235438 - (view) Author: Roundup Robot (python-dev) Date: 2015-02-05 16:04
New changeset f2991b52157e by Serhiy Storchaka in branch '2.7':
Issue #18982: Fixed newlines in calendar CLI tests on Windows.
https://hg.python.org/cpython/rev/f2991b52157e
History
Date User Action Args
2015-02-05 16:55:30serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2015-02-05 16:04:15python-devsetmessages: + msg235438
2015-02-05 13:19:51python-devsetnosy: + python-dev
messages: + msg235436
2015-02-05 12:39:46serhiy.storchakasetassignee: serhiy.storchaka
messages: + msg235433
2015-01-29 21:52:52berker.peksagsetstage: patch review -> commit review
2015-01-29 07:29:06serhiy.storchakasetfiles: + test_calendar_cli_2.patch

messages: + msg234951
2015-01-29 00:54:26berker.peksagsetnosy: + berker.peksag
2014-10-02 00:48:42BreamoreBoysetnosy: + BreamoreBoy

messages: + msg228146
versions: + Python 3.5, - Python 3.3
2013-09-08 21:09:31serhiy.storchakalinkissue18973 dependencies
2013-09-08 21:08:40serhiy.storchakacreate